local gr			= love.graphics
colors = require 'colors'
function love.load()
	love.window.setTitle("CCS Colors")
	alpha = 1
	end

function love.update( )
	end

function love.draw()
	showColors(  10,  1,  47 )
	showColors( 260, 48,  94 )
	showColors( 520, 95, 138 )
	gr.setColor( 1, 1, 1 )
	gr.print( 'alpha ("a" key) = '..alpha, 650, 550 )
	gr.print( 'show code ("c" key)', 650, 562 )
	end

function love.keypressed( key )
	if key == 'escape' then love.event.quit() end
	if key == 'a' then alpha = alpha > .3 and alpha - 0.1 or 1  print(alpha) end
	if key == 'c' then showCode = not showCode end
	end

showColors = function( x, st, en )
	local k = 0
	local y = 0
	for j, i in pairs( colors ) do
		k = k + 1
		if k > en then break end
		if k >= st then
			y = y + 1
			gr.setColor( 1, 1, 1 )
			gr.print( j, x + 140, 12 * y -1 )
			gr.setColor( i[1], i[2], i[3], alpha )
			gr.rectangle( 'fill', x, 12*y, 135, 11 )
			if showCode then code(i,x,y,3) end
			end

		end
	end

code = function( clr, x, y, p )
	gr.setColor( 0,0,0 )
	local a, b, c = round(clr[1],p), round(clr[2],p), round(clr[3],p)
	local str = string.format( '{%0.3f,%0.3f,%0.3f}', a, b, c )
	gr.print( str, x+2  , 12*y -2 )
	end

round = function( n, pl )
	return math.floor( 10^pl*(n + .5001/(10^pl))) / (10^pl)
	end